Bug 4054 - mess of bugs
: mess of bugs
Status: CLOSED DUPLICATE of bug 14179
: Infrastructure
(All bugs in Infrastructure/bugzilla.altlinux.org)
: unspecified
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-29 19:35 by
Modified: 2008-01-28 16:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-29 19:35:28
По ссылке MyBugs выпадает список в котором присутствуют чужие ошибки. 
Хорошо бы разделить на две ссылки MyBugs и ReportedBugs.
------- Comment #1 From 2004-04-29 20:26:03 -------
Это не бага. По ссылке MyBugs показываются действительно _твои_ баги (на тебя
или 
от тебя). Но! никто не запрещает добавить в footer страницы ссылку на _любой_ 
нужный тебе запрос.
Для того чтобы создать именованный запрос необходимо воспользоваться
расширенным
поиском, заполнить поля как тебе хочется, а потом сохранить запрос под любым
именем. Чтобы сохранить установи флаг "Remember this search" (он нажодится в
самом 
почти в самом низу формы поиска), укажи имя своего запроса (в твоем случае 
это "ReportedBugs") и установи флаг "and put it in my page footer". Все. Ссылка 
появится в _твоем_ футере страницы.
------- Comment #2 From 2004-04-29 20:49:25 -------
Кнопка называется MyBugs, а не FromMeToMeBugs 
Ведь не сложно сделать, зато всем удобно будет 
------- Comment #3 From 2004-04-29 21:30:37 -------
Сергей, название соответствует тому, что ищется если перейти по этой ссылке.
Если  
хочешь создай еще одну с другим названием, но эту ссылку я переименовывать не 
буду. Потому, что если уж на то пошло ее нужно назвать:
BugsWithMeAsBugOwnerOrReporterAndStatusIsNewOrAssignedOrRreopenedOrUnconfirmedAndAssignedToComponentsAtAnyProjects
Всегда найдется человек, кто придумает более правильное название для ссылки. 
Именно потому эта ссылка остается как есть.
------- Comment #4 From 2004-04-29 21:35:30 -------
Так же я не считаю нужным добавлять еще какие-либо ссылки т.к. есть возможность 
ссылки с каким угодно запросом и названием. 
------- Comment #5 From 2004-04-29 21:38:56 -------
Не соответствует.  
Там есть твои баги.  
Вот эта бага твоя или моя?  
------- Comment #6 From 2004-04-29 21:40:00 -------
У пользователей есть компилятор, зачем им еще и программы давать? 
------- Comment #7 From 2004-04-29 22:11:45 -------
Именно соответствует. Тебе показываются баги в которых ты принимаешь участие... 
Это не бага, но она одинаково видна тебе и мне т.к. ты поставил вопрос, а я его 
решаю (или не решаю). В багзилле твоих и моих багов вообще нет. Есть проблемы, 
есть те кто нашел проблему и есть те кто ответственнен за ее решение. В этом 
контексте по ссылке делается правильный запрос и название ссылки тоже
правильное. 
Если ты делишь ошибки на "мои" и "не мои", то ты неправильно понял идею этой 
системы.
Еще раз говорю, если есть желание видеть ошибки, исправление которых возложено
на 
тебя, сохрани запрос.
------- Comment #8 From 2004-04-29 22:46:26 -------
На кнопке не написано, что я принимаю где-то участие. 

Там написано "Мои баги" - это и есть контекст. 


Еще раз говорю,собери новую сборку gcc и сделай Obsoletes на все остальные 
пакеты. 
Пользователи сами напишут себе нужных программ. 
------- Comment #9 From 2004-04-29 22:57:06 -------
Если ты не можешь понять, почему запрос по ссылке "MyBugs" называется именно
так, 
я ничего поделать тут не могу.
О том как ее нужно переименовать ссылку, чтобы было понятно какой запрос она 
выполнит я уже писал. 
Дальше обсуждать это я считаю бессмысленным. 
------- Comment #10 From 2004-04-30 12:01:27 -------
Если ты не можешь переименовать ссылку в соответствии с контекстом, 
это не означает, что это не ошибка. 
------- Comment #11 From 2004-04-30 13:23:40 -------
Значит ты все-таки не понял. Я не намогу,я не хочу. Потому что я не считаю это 
багой и считаю, что ошибка повешена зря. Я оставляю статус "REOPENED" у этой
баги,
т.к. тебя мое решение по каким-то причинам не устраивает и изменить его ты не 
даешь.
------- Comment #12 From 2004-04-30 14:08:40 -------
Тогда не закрывай ее с invalid 
Закрой с wontfix 
------- Comment #13 From 2004-04-30 14:12:43 -------
Нет. Это не бага.
------- Comment #14 From 2004-05-05 13:11:12 -------
Почитай ее Severity 
------- Comment #15 From 2008-01-19 23:41:45 -------
reassign
------- Comment #16 From 2008-01-27 18:33:27 -------

*** This bug has been marked as a duplicate of 14179 ***